Subject: Fw: Florida Poster Question
From: "Mike" <[email-masked]>
To: "Rhonda Ames" <[email-masked]>
Date: Mon, 12 Apr 2010 13:54:44 -0400

Rhonda,
Can you call me asap?  I have a few questions and I would still like to get the memo regarding the H-2A program.
Thank you,
Michael Bishop
Labor Law Poster Service
Phone 877-321-4144
Fax 888-442-4144
[email-masked] 
----- Original Message ----- 
From: Ryan Hafer 
To: Mike Bishop 
Sent: Monday, April 12, 2010 1:40 PM
Subject: Florida Poster Question

Hey, there was a question on the phones regarding the size requirement of the worker's compensation poster. I reviewed the Oct. 6 memo from Rhonda and she said it was correct as is, but gave no information regarding size requirement.
Thanks,
Ryan